Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361804 - [abrt] hplip-gui: sendfaxdialog.py:308:CoverPageGroupBox_toggled:RecursionError: maximum recursion depth exceeded
Summary: [abrt] hplip-gui: sendfaxdialog.py:308:CoverPageGroupBox_toggled:RecursionErr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0b931e81dd3da198e7ec024e0cb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-30 17:28 UTC by LarryO
Modified: 2017-08-08 16:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:03:22 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-30 17:28 UTC, LarryO
no flags Details
File: environ (deleted)
2016-07-30 17:28 UTC, LarryO
no flags Details

Description LarryO 2016-07-30 17:28:46 UTC
Description of problem:
Tried to add name to address book.

Version-Release number of selected component:
hplip-gui-3.16.7-1.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 /usr/bin/hp-toolbox
executable:     /usr/bin/hp-toolbox
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
sendfaxdialog.py:308:CoverPageGroupBox_toggled:RecursionError: maximum recursion depth exceeded

Traceback (most recent call last):
  File "/usr/share/hplip/ui5/sendfaxdialog.py", line 308, in CoverPageGroupBox_toggled
    self.updateCoverpageButtons()
RecursionError: maximum recursion depth exceeded

Local variables in innermost frame:
self: <ui5.sendfaxdialog.SendFaxDialog object at 0x7f5454374708>
b: False

Comment 1 LarryO 2016-07-30 17:28:51 UTC
Created attachment 1185826 [details]
File: backtrace

Comment 2 LarryO 2016-07-30 17:28:52 UTC
Created attachment 1185827 [details]
File: environ

Comment 3 Zdenek Dohnal 2017-01-11 17:31:44 UTC
Hi,

would you mind trying the newest build if it solves issue? https://koji.fedoraproject.org/koji/taskinfo?taskID=17245172

Comment 4 LarryO 2017-02-07 00:54:47 UTC
(In reply to Zdenek Dohnal from comment #3)
> Hi,
> 
> would you mind trying the newest build if it solves issue?
> https://koji.fedoraproject.org/koji/taskinfo?taskID=17245172

I must have selected the wrong OS; I'm running FC25.  3.16.11-5.fc25 does not correct the problem.

Comment 5 Fedora End Of Life 2017-07-25 22:09:19 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 16:03:22 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.